<?php
function userreport_admin_form($form, &$form_state) {
  $form['userreport'] = array(
    '#type' => 'fieldset', 
    '#title' => t('Configuration for Idea Informer widget'),
    '#collapsible' => FALSE,
    '#collapsed' => FALSE,
  );
  $form['userreport']['userreport_key'] = array(
    '#type' => 'textfield',
    '#title' => t('Key'),
    '#required' => true,
    '#default_value' => variable_get('userreport_key', ''),
  );
  $form['userreport']['userreport_gacode'] = array(
    '#type' => 'textfield',
    '#title' => t('Google Analytics Code'),
    '#required' => true,
    '#default_value' => variable_get('userreport_gacode'),
  ); 
  // saves and executes a submission callback, see $form["#submit"] for that
  $form['save'] = array(
    '#type' => 'submit',
    '#value' => t('Save'),
    '#executes_submit_callback' => true
  );
  $form['#submit'] = array(
    'userreport_admin_form_submit'
  );
  return $form;
}

function userreport_admin_validate($form, &$form_state) {
  /*
  $list_id = $form_state['values']['intraface_newsletter_list_id'];
  if (!is_numeric($list_id)) {
    form_set_error('intraface_newsletter_list_id', t('Intraface newsletter list ID must be numeric.'));
  }
  */
}

function userreport_admin_form_submit($form, &$form_state) {
  variable_set('userreport_key', $form_state['values']['userreport_key']);
  variable_set('userreport_gacode', $form_state['values']['userreport_gacode']);
  drupal_set_message(t("Settings has been set"));
}
